Problema al instalar paquete de idioma de Microsoft Office 2010 Professional Plus con Wine 1.5 [SOLUCIONADO]

Imagen de aljandare
0 puntos

Hola:

Anteayer adquirí Microsoft Office 2010 Professional Plus, pero resulta que está en inglés. Como uso Ubuntu 12.04 LTS, seguí este tutorial para instalarlo con Wine:

http://blogvinez.blogspot.com.es/2012/06/instalar-microsoft-office-2010-...

Y el caso es que funcionaba perfectamente, pero claro, como ya he dicho, está en inglés. Por eso me descargé el paquete de idioma español de aquí:

msft.digitalrivercontent.net/01/501016817-10234441--EUR//office2010/X16-37740.exe

Pero cuando se termina de instalar el paquete de idioma me sale que ha habido un error durante la instalación, y por lo tanto no puedo cambiarlo ya que no sale el español en la lista de idiomas disponibles.

Lo que quiero decir es que no sé que librerías o qué cosas configurar para que pueda instalar el paquete de idioma con éxito (en la guía del primer enlace tenías que hacer unas configuraciones para poder instalar correctamente Microsoft Office 2010 con Wine).

NOTA: la arquitectura del paquete y de Microsoft Office 2010 es de 32 bits.

Espero que me podáis ayudar,

Gracias :)

Imagen de floky
+1
0
-1

hola no se si segun comentas has seguido todos los pasos de ese manual dices textualmente
(en la guía del primer enlace tenías que hacer unas configuraciones para poder instalar correctamente Microsoft Office 2010 con Wine).
has hecho todo lo que dice el manual o te da algun error en alguno de los pasos?

por curiosidad que te lleva a adquirir un programa en ingles si lo quieres cambiar de idioma? y que hace ese programa que no haga el libreoffice?

+1
0
-1

cuantas horas me quitas ubuntu y que alegrias me das,es casi como un hijo jeje.
“luchando,aprendiendo,perseverando y equivocandote son algunas de las formas de ser libre“ - floky

Imagen de aljandare
+1
0
-1

Hola "floky". He seguido todos los pasos al pie de la letra, tal y como los dicta la guía. En realidad, si que me salió un error del Winetricks al instalar las librerías, me decía que había que instalar Mono (o algo así). De todas maneras no sé si eso tendrá que ver con la instalación del paquete de idioma.

Por tu curosidad, puedes estar tranquilo, tengo en cuenta lo que me dices. Lo que pasa es que se trata de aprendizaje y no de practicidad... estoy empezando a hacer prácticas con Wine y quiero empezar a adquirir experiencia trasteando el programa, así que me da igual que esté en inglés o español.
Por cierto, ¿Wine necesita de alguna configuración básica? ¿Debo usar la última versión de Wine?

Gracias por tu preocupación, a ver si podemos arreglar el problema.

+1
0
-1

Aficionado a Ubuntu y el mundo Linux en general

Imagen de floky
+1
0
-1

si ese pudiera ser el problema,que no lo se para ver si tienes instalado mono puedes hacerlo desde gestor de paquetes synaptic

o directamente ¨sudo apt-get install¨ mono en la terminal sin las comillas

y la configuracion,que yo sepa no hay que hacer nada,solo abrirlo poner la version de windows que quieres imitar ya sea xp,vista o la que sea y a la hora de añadir las librerias como pone en el manual que mencionas, yo es que apenas lo he usado el wine

y de la version yo personalmente miro la version que va bien con el ubuntu que tengo y la instalo,es lo mas logico,no se si es lo mejor pero es lo que a mi siempre me a funcionado,suerte y ya nos cuentas

+1
0
-1

cuantas horas me quitas ubuntu y que alegrias me das,es casi como un hijo jeje.
“luchando,aprendiendo,perseverando y equivocandote son algunas de las formas de ser libre“ - floky

Imagen de aljandare
+1
0
-1

Hola floky. Creo que Mono no tiene nada que ver con esto, porque lo de instalarlo me lo dice en otra guía de cómo instalar el Microsoft Office 2010 con Wine; osea, que son diferentes maneras de llegar al mismo problema. Lo que sí estoy casi seguro es que se necesitan ciertas librerías o configuración o yo que sé... no creo tampoco que la versión de Wine influya tanto.
En resumen, que lo que pasa realmente es saber de qué depende el paquete de idioma para que funcione bien ¿no?, y eso es lo que no tengo ni idea.

+1
0
-1

Aficionado a Ubuntu y el mundo Linux en general

Imagen de floky
+1
0
-1

entonces,la pregunta que yo me hago...
si wine emula windows y tu tienes el problema con el paquete de idioma a lo mejor tendras que mirar de como se cambiaria el idioma en windows,para ese programa y las librerias correspondientes o lo que sea y luego hacerlo desde wine,para que te funcione en ubuntu,no?

+1
0
-1

cuantas horas me quitas ubuntu y que alegrias me das,es casi como un hijo jeje.
“luchando,aprendiendo,perseverando y equivocandote son algunas de las formas de ser libre“ - floky

Imagen de aljandare
+1
0
-1

Claro, es eso, pero es que ya sabía desde el principio cómo cambiar el idioma en Microsoft Office 2010 (a mi el paquete de idioma se me instala igual que en el vídeo, solo que al final, en vez de decirme que se ha instalado correctamente, me sale que ha ocurrido un error durante la instalación):
http://www.youtube.com/watch?v=0ev4ZJtRfLs

Y también, como ya sabes tengo el paquete de idioma:
http://www.pcinternity.com/2011/06/cambiar-idioma-en-office-2010-a-espan...

+1
0
-1

Aficionado a Ubuntu y el mundo Linux en general

Imagen de floky
+1
0
-1

me corrijo, ya se que wine no es un emulador jeje

http://es.wikipedia.org/wiki/Wine

pero hasta mañana no tengo tiempo,mañana acabo de instalarlo y te cuento lo estoy poniendo para ver que es lo que te pasa

pudiste hacer esto?

3) Agregar las siguientes librerías:
dotnet20
msxml6

da un error en la instalacion del dotnet20

+1
0
-1

cuantas horas me quitas ubuntu y que alegrias me das,es casi como un hijo jeje.
“luchando,aprendiendo,perseverando y equivocandote son algunas de las formas de ser libre“ - floky

Imagen de aljandare
+1
0
-1

El problema con dotnet20 es muy fácil... ¿no se te abre automáticamente una carpeta y una página web en el navegador? Pues solo tienes que descargarte el programa que sale en la página web y ponerlo en la carpeta, así tal cual como te lo descargas.

+1
0
-1

Aficionado a Ubuntu y el mundo Linux en general

Imagen de floky
+1
0
-1

cual es el pronblema que te da? o solo te dice que a habido un problema durante la instalacion y ya esta?

si por eso te decia lo del dotnet20 que habia que instalarlo descargandolo de la pagina a la que te manda

+1
0
-1

cuantas horas me quitas ubuntu y que alegrias me das,es casi como un hijo jeje.
“luchando,aprendiendo,perseverando y equivocandote son algunas de las formas de ser libre“ - floky

Imagen de aljandare
+1
0
-1

A ver, es lo mismo que sale cuando terminas de instalar Office 2010, solo que con un mensaje que dice "Ha habido un error durante la instalación". Puede que ejecutando el paquete de idioma desde la terminal dé mas información técnica, o también no sé si tendrá un "mostrar detalles".

+1
0
-1

Aficionado a Ubuntu y el mundo Linux en general

Imagen de aljandare
+1
0
-1

Mira, este es precisamente el problema (copio del artículo de Wine de Wikipedia):

"El éxito del funcionamiento de cada aplicación depende del uso de bibliotecas dinámicas (DLL) de Windows".

Por lo tanto hay que averiguar que biblioteca dinámica hay que añadir (con Winetricks).

+1
0
-1

Aficionado a Ubuntu y el mundo Linux en general

Imagen de floky
+1
0
-1

se me ocurre una cosa,si tienes el win2 tambien en tu pc pùedes correr alli el oficce,he leido que hay unos programas para saber que dll usa dicho programa y en el caso de que no tengas win2 siempre puedes correr en tu ubuntu una maquina virtual y alli probar

asi sabrias exactamente las dll que necesitas

estos son los programas , depends, Nt File Monitor (filemon para los amigos :)

+1
0
-1

cuantas horas me quitas ubuntu y que alegrias me das,es casi como un hijo jeje.
“luchando,aprendiendo,perseverando y equivocandote son algunas de las formas de ser libre“ - floky

Imagen de .doc
+1
0
-1

yo me dejaría de invento raros: si tienes también Windows, usa en él tu Ms Office y déjate de líos.

(Y eso si verdaderamente necesitas 'obligatoriamente' que usar el Ms Office que dices, porque esa es otra, si usas Linux (o eres partidario del software libre) deberías acostumbrarte a usar el LibreOffice, que no tiene nada que envidiar al MsOffice)

+1
0
-1
Imagen de aljandare
+1
0
-1

Bueno, los dos tenéis razón... en realidad lo más fácil sería lo que dice floky, ya que usando Linux hay que profundizar mucho para poder dar con las DLL. Y a ".doc": si que tengo muchos líos, pero era para aprender a usar Wine. Si ya he dado con cómo hacerlo pues se puede tomar por solucionado el problema. Por cierto, no te creas que no soy partidario del software libre por no poner "Micro$oft Offic€ 2010" XD.

Muchas gracias a los dos.

+1
0
-1

Aficionado a Ubuntu y el mundo Linux en general